<?php
// +----------------------------------------------------------------------
// | 74CMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2009 http://www.74cms.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 
// +----------------------------------------------------------------------
// | ModelName: 
// +----------------------------------------------------------------------
namespace Home\Controller;
use Common\Controller\FrontendController;
class SmsbaoController extends FrontendController{
	 
	
	public function install(){
$sql=<<<EOF
INSERT INTO `qs_sms_templates` VALUES ('', 'set_applyjobs', '申请职位', '{sitename}提醒您:{personalfullname}申请了您发布的职位{jobsname}，请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}【申请人姓名】{personalfullname}【职位名称】{jobsname}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_invite', '邀请面试', '{sitename}提醒您：{companyname}对您发起了面试邀请，请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}【企业名称】{companyname}【职位名称】{jobsname}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_order', '申请充值', '{sitename}提醒您：订单{oid}已经添加成功，付款方式为：{paymenttpye}，应付金额{amount}。请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}【订单号】{oid}【付款方式】{paymenttpye}【应付金额】{amount}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_payment', '充值成功', '{sitename}提醒您：充值成功，系统已为您开通服务，请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_editpwd', '修改密码', '{sitename}提醒您：您的密码修改成功，新密码为：{newpassword}', 'smsbao', '', '【网站名称】{sitename}【新密码】{newpassword}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_jobsallow', '职位审核通过', '{sitename}提醒您：职位({jobsname})已经通过审核！请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}【职位名称】{jobsname}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_jobsnotallow', '职位审核未通过', '{sitename}提醒您：职位({jobsname})未通过审核，请修改后再次提交审核！请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}【职位名称】{jobsname}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_licenseallow', '营业执照审核通过', '{sitename}提醒您：您的企业资料已认证通过！请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_licensenotallow', '营业执照审核未通过', '{sitename}提醒您：你的企业认证未通过，请重新上传营业执照！请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_resumeallow', '简历审核通过', '{sitename}提醒您：您的简历已通过审核！请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_resumenotallow', '简历审核未通过', '{sitename}提醒您：您的简历未通过审核，请修改后再次提交审核！请登录{sitedomain}查看', 'smsbao', '', '【网站名称】{sitename}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_login', '手机登录验证', '您正在登录{sitename}的会员,手机验证码为:{rand},此验证码有效期为10分钟', 'smsbao', '', '【网站名称】{sitename}【验证码】{rand}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_testing', '测试', '您好！这是一条检测短信模块配置的短信。收到此短信，意味着您的短信模块设置正确！您可以进行其它操作了！', 'smsbao', '', '', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_retrieve_password', '找回密码', '您正在找回{sitename}的会员密码,手机验证码为:{rand},此验证码有效期为10分钟', 'smsbao', '', '【网站名称】{sitename}【验证码】{rand}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_register', '注册账号', '您正在注册{sitename}的会员,手机验证码为:{rand},此验证码有效期为10分钟', 'smsbao', '', '【网站名称】{sitename}【验证码】{rand}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_register_resume', '快速注册简历', '欢迎您注册{sitename}，用户名：{username}，密码：{password}。您也可以直接用手机号登录。', 'smsbao', '', '【网站名称】{sitename}【用户名】{username}【密码】{password}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_mobile_auth', '手机认证', '感谢您使用{sitename}手机认证,验证码为:{rand}', 'smsbao', '', '【网站名称】{sitename}【验证码】{rand}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_mobile_verify', '手机验证', '感谢您使用{sitename}手机验证,验证码为:{rand}', 'smsbao', '', '【网站名称】{sitename}【验证码】{rand}', '');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_jobs_add', '企业添加打赏职位', '{sitename}提醒您，您已成功发布打赏职位{jobsname}，红包类型：{type}，数量：{num}个，单个金额{per_amount}元。', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}\n【红包类型】{type}\n【红包数量】{num}\n【单个金额】{per_amount}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_apply_audit_personal', '[投递红包]个人申请职位后待审核 - 通知个人', '{sitename}提醒您：您已成功申请职位{jobsname}，管理员审核通过后红包将发放到您的零钱中，请注意查收。', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_apply_audit_company', '[投递红包]个人申请职位后待审核 - 通知企业', '{sitename}提醒您：你发布的红包职位{jobsname}已被{fullname}领取，红包将在管理员审核通过后发放。', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_apply_signon_personal', '[投递红包]个人申请职位发放红包 - 通知个人', '{sitename}提醒您：您已成功申请职位{jobsname}，红包已发放到您的零钱中，请注意查收。', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_apply_signon_company', '[投递红包]个人申请职位发放红包 - 通知企业', '{sitename}提醒您：您发布的职位“{jobsname}”已被“{fullname}”成功领取，当前剩余红包{num}个。', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}\n【领取人】{fullname}\n【剩余数量】{num}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_apply_interview_personal', '[面试红包]个人申请面试 - 通知个人', '{sitename}提醒您：您已成功申请职位“{jobsname}”，请等待企业同意面试。', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_apply_interview_company', '[面试红包]个人申请面试 - 通知企业', '{sitename}提醒您：{fullname}向您发布的红包职位{jobsname}提出面试申请，请您在3天内及时处理。', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_agree_interview_personal', '[面试红包]企业同意面试 - 通知个人', '{sitename}提醒您：{companyname}已同意你的面试申请，请及时参加面试！', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_agree_interview_company', '[面试红包]企业同意面试 - 通知企业', '{sitename}提醒您：您已同意{fullname}的面试申请。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_refuse_interview_personal', '[面试红包]企业拒绝面试 - 通知个人', '{sitename}提醒您：{companyname}已拒绝你的面试申请。快换个职位试试吧！世界那么大，相信总有欣赏你的人！', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_refuse_interview_company', '[面试红包]企业拒绝面试 - 通知企业', '{sitename}提醒您：您已拒绝{fullname}的面试申请。此红包流程已结束，请联系网站客服退回红包。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_ever_interview_personal', '[面试红包]个人确认面试 - 通知个人', '{sitename}提醒您：您已向{companyname}提交确认面试申请，企业确认后即可获得红包，若企业判定有异议请及时联系网站客服。', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_ever_interview_company', '[面试红包]个人确认面试 - 通知企业', '{sitename}提醒您：{fullname}已向您提交确认面试申请，请在24小时内处理，否则系统将自动判定为已面试并发放红包。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_confirm_interview_personal', '[面试红包]企业确认面试 - 通知个人', '{sitename}提醒您：{companyname}确认您已参加面试，面试红包已成功发放。', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_confirm_interview_company', '[面试红包]企业确认面试 - 通知企业', '{sitename}提醒您：您已确认{fullname}已参加面试，面试红包已成功发放。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_apply_entry_jobs_personal', '[入职红包]个人申请职位 - 通知个人', '{sitename}提醒您：您已成功申请职位“{jobsname}”，请入职后提交确认入职申请。', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_apply_entry_jobs_company', '[入职红包]个人申请职位 - 通知企业', '{sitename}提醒您：你发布的红包职位{jobsname}已被{fullname}领取，请等待个人提交确认入职申请。', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_ever_entry_personal', '[入职红包]个人确认入职 - 通知个人', '{sitename}提醒您：您已成功向{companyname}提交确认入职申请，建议您及时备份入职合同，企业确认入职后即可获得红包，若企业判定有异议请及时联系网站客服！', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_ever_entry_company', '[入职红包]个人确认入职 - 通知企业', '{sitename}提醒您：个人会员{fullname}向您提交确认入职申请，请及时判定处理。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_confirm_entry_personal', '[入职红包]企业确认入职 - 通知个人', '{sitename}提醒您：{companyname}确认您已入职，入职红包已成功发放到您的零钱中，请注意查收！', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_confirm_entry_company', '[入职红包]企业确认入职 - 通知企业', '{sitename}提醒您：您已确认{fullname}已入职，入职红包已成功发放。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_absent_entry_personal', '[入职红包]企业确认缺席 - 通知个人', '{sitename}提醒您：{companyname}判定您未入职，请等待管理员审核。如果企业判定与事实不符，请立即向网站客服投诉举报。', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_absent_entry_company', '[入职红包]企业确认缺席 - 通知企业', '{sitename}提醒您：您已判定{fullname}未入职，请等待管理员审核。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_audit_pass_personal', '管理员审核通过 - 通知个人', '{sitename}提醒您：经网站审核，您的简历已成功投递{jobsname}，投递红包已发放到您的零钱中，请注意查收！', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_audit_pass_company', '管理员审核通过 - 通知企业', '{sitename}提醒您：经网站审核，{fullname}已成功投递您的职位，投递红包已发放！', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_audit_nopass_personal', '管理员审核未通过 - 通知个人', '{sitename}提醒您：您的职位红包申请（职位名称：{jobsname}）未通过审核，红包发放失败！', 'smsbao', '', '【网站名称】{sitename}\n【职位名称】{jobsname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_audit_nopass_company', '管理员审核未通过 - 通知企业', '{sitename}提醒您：{fullname}向您的职位红包申请（职位名称：{jobsname}）未通过审核，请联系网站客服退回红包。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}\n【职位名称】${jobsname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_arbitrate_refund_interview_personal', '[面试红包]管理员仲裁给企业退款 - 通知个人', '{sitename}提醒您：经网站初步调查，确认您未参加面试，如有异议就及时联系网站客服提交更多补充说明。', 'smsbao', '', '【网站名称】{sitename}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_arbitrate_refund_interview_company', '[面试红包]管理员仲裁给企业退款 - 通知企业', '{sitename}提醒您：经网站初步审查，已确认{fullname}未参加面试，请联系网站客服退回红包。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');
INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_arbitrate_refund_entry_personal', '[入职红包]管理员仲裁给企业退款 - 通知个人', '{sitename}提醒您：经网站初步调查，确认您未入职，如有异议就及时联系网站客服提交更多补充说明。', 'smsbao', '', '【网站名称】{sitename}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_arbitrate_refund_entry_company', '[入职红包]管理员仲裁给企业退款 - 通知企业', '{sitename}提醒您：经网站初步审查，已确认{fullname}未入职，请联系网站客服退回红包。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_arbitrate_putout_interview_personal', '[面试红包]管理员仲裁给个人发红包 - 通知个人', '{sitename}提醒您：经网站初步审查，您已成功参加{companyname}的面试，红包已发放到您的零钱中，请注意查收。', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_arbitrate_putout_interview_company', '[面试红包]管理员仲裁给个人发红包 - 通知企业', '{sitename}提醒您：经网站初步审查，已确认{fullname}已参加面试，红包已成功发放至个人账户！', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_arbitrate_putout_entry_personal', '[入职红包]管理员仲裁给个人发红包 - 通知个人', '{sitename}提醒您：经网站初步审查，您已成功入职{companyname}，红包已发放到您的零钱中，请注意查收。', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_arbitrate_putout_entry_company', '[入职红包]管理员仲裁给个人发红包 - 通知企业', '{sitename}提醒您：经网站初步审查，{fullname}已成功入职，红包已成功发放至个人账户。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_admin_refund_company', '管理员退款成功 - 通知企业', '{sitename}提醒您：未发放红包已成功退款到指定账户，退款金额{amount}元，请注意查收！', 'smsbao', '', '【网站名称】{sitename}\n【退款金额】{amount}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_7days_noconfirm_auto_refund_personal', '个人7天内未确认自动退款 - 通知个人', '{sitename}提醒您：由于您7天内未及时提交已面试申请，红包发放失败！', 'smsbao', '', '【网站名称】{sitename}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_7days_noconfirm_auto_refund_company', '个人7天内未确认自动退款 - 通知企业', '{sitename}提醒您：由于{fullname}7天内未及时提交已面试申请，本次红包流程已结束，请联系网站客服退回红包。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_24hours_noconfirm_auto_putout_personal', '[面试红包]企业24小时内未确认面试自动发放- 通知个人', '{sitename}提醒您：由于{companyname}24小时内未及时确认面试，系统自动设定发放红包到您的零钱，金额：{amount}元，请注意查收！', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}\n【金额】{amount}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_24hours_noconfirm_auto_putout_company', '[面试红包]企业24小时内未确认面试自动发放- 通知企业', '{sitename}提醒您：由于您24小时内未及时确认面试，系统自动设定发放红包到{fullname}的零钱，金额：{amount}元，本次流程已结束。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}\n【金额】{amount}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_3days_noagree_auto_refund_personal', '[面试红包]企业72小时内未同意面试自动退款- 通知个人', '{sitename}提醒您：由于{companyname}72小时内未同意面试，发放红包失败。', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_3days_noagree_auto_refund_company', '[面试红包]企业72小时内未同意面试自动退款- 通知企业', '{sitename}提醒您：由于您72小时内未同意面试，本次红包流程已结束，请联系网站客服退回红包。', 'smsbao', '', '【网站名称】{sitename}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_add_blacklist', '加入黑名单通知', '{sitename}提醒您：系统监测到您近期操作异常，已被网站限制使用红包打赏功能，限制期限：{time_limit}，如了解详细情况请联系网站客服。', 'smsbao', '', '【网站名称】{sitename}\n【限制期限】{time_limit}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_absent_interview_personal', '[面试红包]企业判定缺席 - 通知个人', '{sitename}提醒您：企业（{companyname}）判定您缺席本次面试，请等待管理员审核。如企业判定与事实不符，请立即向网站客服投诉举报。', 'smsbao', '', '【网站名称】{sitename}\n【企业名称】{companyname}', 'allowance');

INSERT INTO `qs_sms_templates` VALUES ('', 'set_allowance_absent_interview_company', '[面试红包]企业判定缺席 - 通知企业', '{sitename}提醒您：您已判定个人会员{fullname}缺席面试，请等待管理员审核。', 'smsbao', '', '【网站名称】{sitename}\n【领取人】{fullname}', 'allowance');

EOF;
		$Model = new \Think\Model;
		$res=$Model->execute($sql);
		if($res){
			echo '短信宝插件安装成功,请删除upload/Application/Home/Controller/SmsbaoController.class.php';
		}else{
			echo '短信宝插件安装失败';
		}
    }
}
?>